Subject: bug#19531: 25.0.50; Extra characters in keypress input (related to #18345)

From: Greg Smolyn <[email-masked]>
Date: Fri, 9 Jan 2015 00:05:31 -0800

Ok, adding instructions:

1. Create the following file as "buginit.el" (or whatever you want to call
it):

(setq package-archives '(("gnu" . "http://elpa.gnu.org/packages/")
 ("melpa" . "http://melpa.milkbox.net/packages/")
 ))
(setq user-emacs-directory "~/bug.emacs") ; just to get a clean user dir
(setq package-enable-at-startup nil)
(package-initialize)
(require 'helm-config)
(projectile-global-mode)
(setq projectile-enable-caching t)
(setq projectile-completion-system 'helm)
(helm-projectile-on)

2. Run emacs: emacs -Q -l buginit.el

Install Helm Projectile:
(alternatively I can supply all the files for the elpa folder in the
bug.emacs in a file drop somewhere)

3. M-x package-install

4. When it asks what to install, use "helm-projectile"

5. Quit emacs.

6. Run emacs again: emacs -Q -l buginit.el

7. Find a sufficiently large project, I am not sure exactly what makes the
project big enough (or if there is something else like large file names or
deep directory structure), however the Emacs codebase is not sufficient.  A
project i can always repro with can be retrieved with:
git clone https://github.com/forcedotcom/aura.git

8. Open a file in the Aura project, any file will do (LICENSE, for
example). In emacs, C-x f ~/path_to_aura/LICENSE

9. Open the helm-projectile minibuffer: C-c p f
    or M-x helm-projectile-find-file

10. Start typing:  I find "infiniteScrollerTest" should cause it to break
and produce extra characters.

Hope this is helpful!
-g
(second sending-- did not reply to debbugs.gnu.org)

On Thu, Jan 8, 2015 at 10:22 PM, Jan D. <[email-masked]> wrote:

> Greg Smolyn skrev den 2015-01-08 20:09:
>
>> If you look at the repro in #18345, it is the same scenario when Simon
>> Carter removed the emacs_abort() in the apploopnr > 1 check.  I get
>> extra characters in the input.
>>
>
> There was no step by step instructions there either.
>
>>
>> Should I perhaps reopen that bug instead?
>>
>
> This is fone.
>
>
>> Unfortunately I don't know entirely how to do this without helm
>> projectile.  Would you like me to send instructions on how to set it up
>> for a reproduction case?  I am more than happy to do that.
>>
>>
> Put the instructions here where they belong.
> It is good for future reference.
>
>         Jan D.
>
>
>